Package Details: vdhcoapp-bin 1.6.3-1

Git Clone URL: https://aur.archlinux.org/vdhcoapp-bin.git (read-only, click to copy)
Package Base: vdhcoapp-bin
Description: Companion application for Video DownloadHelper browser add-on, precompiled binary version
Upstream URL: https://github.com/mi-g/vdhcoapp
Licenses: GPL2
Conflicts: vdhcoapp
Provides: vdhcoapp=1.6.3
Submitter: leledumbo
Maintainer: Paragoumba
Last Packager: Paragoumba
Votes: 28
Popularity: 2.15
First Submitted: 2018-06-28 06:41
Last Updated: 2021-12-27 23:12

Pinned Comments

Paragoumba commented on 2021-12-27 23:19

@dreieck I have updated the package to not bundle ffmpeg anymore following this upstream issue. Vdhcoapp can only use the local ffmpeg because it's path is hardcoded. The package uses symlinks for now and I am waiting for Vdhcoapp to properly support using the system's ffmpeg.

I also added the provides and conflicts variables.

Thanks for your suggestions

Latest Comments

Paragoumba commented on 2021-12-27 23:19

@dreieck I have updated the package to not bundle ffmpeg anymore following this upstream issue. Vdhcoapp can only use the local ffmpeg because it's path is hardcoded. The package uses symlinks for now and I am waiting for Vdhcoapp to properly support using the system's ffmpeg.

I also added the provides and conflicts variables.

Thanks for your suggestions

dreieck commented on 2021-12-25 12:52

Why does it depend on ffmpeg and at the same time provides it's own ffmpeg:

ls /opt/net.downloadhelper.coapp/converter/build/linux/64:

ffmpeg            libavdevice.so.58   libbz2.so.1.0           libopencore-amrwb.so.0  libpostproc.so.55   libtheora.so.0       libvpx.so.6          libx264.so.161
ffplay            libavfilter.so.7    libmp3lame.so.0         libopenjp2.so.7         libswresample.so.3  libvo-amrwbenc.so.0  libwebpdecoder.so.3  libx265.so.188
ffprobe           libavformat.so.58   libnuma.so.1            libopus.so.0            libswscale.so.5     libvorbisenc.so.2    libwebpdemux.so.2    libxvidcore.so.4
libaom.so.0       libavresample.so.4  libogg.so.0             liborc-0.4.so.0         libtheoradec.so.1   libvorbisfile.so.3   libwebpmux.so.3      libz.so.1
libavcodec.so.58  libavutil.so.56     libopencore-amrnb.so.0  liborc-test-0.4.so.0    libtheoraenc.so.1   libvorbis.so.0       libwebp.so.7

Please try to not install the bundled libraries and executables but depend on system libraries and executables (if needed, create symlinks into /opt/net.downloadhelper.coapp/converter/build/linux/64/). If this is not possible, remove the dependency on ffmpeg.

Thanks for maintaining!

dreieck commented on 2021-12-25 12:35

Can you please add

  • provides=("vdhcoapp=${pkgver}"),
  • conflicts=('vdhcoapp')?

Thanks for maintaining!

Anonymous comment on 2021-03-25 22:53

There is a new version available - 1.6.1-1. I already updated your PKGBUILD locally and built the new package. I would like to support you to have this package updated in future. How to achieve that?

supermuffin commented on 2020-04-20 11:13

@newsboost: This package is for the companion app, not for the related browser extension. Make sure you installed the extension from official sources (https://chrome.google.com/webstore/detail/video-downloadhelper/lmjnegcaeklhafolokijcfjliaokphfk) if there is a problem with the extension, please post in the support section there.

This PKGBUILD downloads https://github.com/mi-g/vdhcoapp/releases/download/v1.5.0/net.downloadhelper.coapp-1.5.0-1_amd64.deb which is the official source. Scanning it with virustotal shows no problems: https://www.virustotal.com/gui/file/6d38a14aca4c79c609b556383d8fdc3e73b85ca7cb20c711535a685ed818589e/detection

newsboost commented on 2020-03-06 12:08

I receive:

"This extension contains malware" for Description: Video Downloader professional - the fastest and easiest way to save any video from any website. Version 4.0.2".

Is this right? Why do I get this message now? Wrong CRC-check? Tampered with the binary? Incorrect error/warning from Chromium (this was installed a few days ago, seemed to work ok before being disabled)?